=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# special case begin

add_subdirectory(qgeoareamonitorinfo)
add_subdirectory(qgeopositioninfo)
add_subdirectory(qgeosatelliteinfo)

# special case end
