=== tests/auto/doublevectors/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from doublevectors.pro.

#####################################################################
## tst_doublevectors Test:
#####################################################################

qt_internal_add_test(tst_doublevectors
    SOURCES
        tst_doublevectors.cpp
    LIBRARIES
        Qt::Core
        Qt::PositioningPrivate
)

#### Keys ignored in scope 1:.:.:doublevectors.pro:<TRUE>:
# TEMPLATE = "app"
