=== debian/changelog ===
qt6-positioning (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Oct 2025 21:14:04 +0100

qt6-positioning (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:03:50 +0200

qt6-positioning (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 20:02:52 +0200

qt6-positioning (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Aug 2025 12:07:42 +0200

qt6-positioning (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update ABI to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Jul 2025 19:20:09 +0200
