## qt6-positioning 6.10.0

=== debian/changelog ===
qt6-positioning (6.10.0-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 15 Nov 2025 14:37:54 +0000

qt6-positioning (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:33:59 +1000
