=== debian/control ===
--- 
+++ 
@@ -14,16 +14,16 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-serialport-dev (>= 6.9.3~),
-               qt6-svg-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-serialport-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
