=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtpositioning-everywhere-src-([\d\.]+\d).tar.xz
