=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-serialport-dev (>= 6.10.0~),
-               qt6-svg-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-serialport-dev (>= 6.10.1~),
+               qt6-svg-dev (>= 6.10.1~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
