=== debian/control ===
Source: qt6-positioning
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-serialport-dev (>= 6.10.2~),
               qt6-svg-dev (>= 6.10.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git

Package: libqt6positioning6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-positioning-private-abi (= 6.10.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning library.

Package: libqt6positioningquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning library - Qt Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contain the Qt Quick interface for the Qt 6 Positioning library.

Package: libqt6positioning6-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6positioning6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning module - position plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning plugins.

Package: qml6-module-qtpositioning
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6positioning6-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Positioning QML plugin for Qt Declarative.

Package: qt6-positioning-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6positioning6 (= ${binary:Version}),
         libqt6positioning6-plugins (= ${binary:Version}),
         libqt6positioningquick6 (= ${binary:Version}),
         qml6-module-qtpositioning (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
Description: Qt 6 Positioning - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Positioning library.

Package: qt6-positioning-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-positioning-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Positioning - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files used for
 building Qt 6 applications using Qt 6 Positioning library.
 .
 Use at your own risk.

Package: qt6-positioning-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Positioning documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Positioning.

Package: qt6-positioning-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Positioning HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Positioning.

Package: qt6-positioning-doc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Description: Qt 6 Positioning tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Positioning
 documentation.

Package: qt6-positioning-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Positioning submodule.
